added leaky TrouSerS functions to whitelist